> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/microsoft-windows-365.md).

# Microsoft Windows 365

マイクロソフト ウィンドウズ365は、完全にAzure上で稼働するクラウドベースのサービスです。 仮想デスクトップはクラウド内でプロビジョニングおよび管理されるため、組織はオンプレミスインフラストラクチャを維持することなく、制御の集中化が可能です。 これは、リモートワークをサポートしデスクトップ管理を簡素化したい企業や、従来のデータセンターへの依存を減らし迅速にリソースをスケールしたい企業によく利用されます。

{% hint style="info" %}
マイクロソフト ウィンドウズ365のためにインバウンドコネクタをインストールする必要はありません。
{% endhint %}

{% stepper %}
{% step %}
**VMにコレクタをインストールする**

永続的デスクトップのプロビジョニングまたはオンボーディング時に、標準エージェントとしてコレクタをインストールします。

以下のドキュメントに記載されている手順を実行してください。

1. [#configuring-collector-for-vms](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#configuring-collector-for-vms)
2. [#installing-collector-on-vms](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installing-collector-on-vms)
3. [#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector/installing-collector-on-windows.md#installingcollectoronwindows-deployingcollectorusingactivedirectorygrouppolicy-1)
   {% endstep %}

{% step %}
**VMでコレクタをテスト**

{% hint style="info" %}
必要に応じて、NexthinkサポートまたはNexthink担当者に連絡してください。
{% endhint %}

**デバイスID**、**割り当てられたユーザー**、および**再起動**や**ログオン**をまたいでのシステム稼働時間の一貫した報告を確認してください。

これを確認するには、次のクエリを実行します:

{% code lineNumbers="true" %}

```sql
devices
| where virtualization.desktop_broker == windows_365 and virtualization.type == personal
| with session.vdi_events during past 168h
| compute number_of_sessions = vdi_session.count(), time_since_session_last_seen = end_time.last().time_elapsed(), last_user = user.name.last()
| include device_performance.boots during past 168h
| compute number_of_restarts = number_of_boots.sum()
| include session.logins during past 168h
| compute time_since_last_login = time.last().time_elapsed(), number_of_logons = number_of_logins.sum()
| list name, last_user, number_of_sessions, time_since_session_last_seen, number_of_logons, time_since_last_login, number_of_restarts, boot.last_full_boot_time.time_elapsed(), last_seen.time_elapsed()
| sort time_since_session_last_seen desc
```

{% endcode %}

クエリの実行に関する詳細は、[Investigations](/platform/ja/user-guide/investigations.md)のドキュメントをご覧ください。
{% endstep %}

{% step %}
**クライアントデバイスにエンドポイントエージェントをインストールする**

**企業管理デバイスにコレクターをインストールする**

組織が中央管理するクライアントデバイスには、適切なソフトウェア配布ツールを使用してすべての該当デバイスにコレクターを配布してください。

[インストールしたCollector](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-non-vdi-environment/installing-collector.md)のドキュメントに記載されている手順を実行してください。

{% hint style="info" %}
VDI クライアント エクステンションはコレクターに組み込まれています。別途インストールする必要はありません。
{% endhint %}

**個人または自己管理デバイスにVDI拡張機能をインストールする**

個人または自己管理のクライアントデバイスに対して、VDIクライアント拡張機能をインストール可能にします。 この軽量エージェントは、完全なコレクターの配備を必要とせずに、クライアント側の価値ある限定的なメトリクスを提供します。

[Nexthink VDIクライアント拡張機能のインストール](/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/installing-the-nexthink-vdi-client-extension.md) ドキュメントに記載された手順を実行します。
{% endstep %}

{% step %}
**クライアントデバイスをテストする**

**企業管理デバイス**

管理されたクライアントデバイスから開始されたセッションについて、以下のフィールドへの可視性を確認します：

* ラウンドトリップタイム
* クライアントのCPU使用率
* Wi-Fi信号強度
* リンク速度

ネットワークRTTは、VM だけにコレクターがインストールされている場合でも利用可能ですが、クライアントの完全なパフォーマンス情報を得るには、エンドポイントにコレクターをインストールする必要があります。 インストールを検証するために、セッションに対してクライアント メトリクスが報告されていることを確認します。

クライアントデバイスでコレクターを実行し、Nexthinkインスタンスにデータを報告している場合、その名前がデバイスビューへのリンクとして表示され、詳細な情報および活動にアクセスできます。

これを確認するには、以下のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}

**パートナー管理デバイスまたは持ち込みデバイス**

外部管理クライアントデバイスから開始されたセッションについて、以下のフィールドへの可視性を確認します：

* ラウンドトリップタイム
* Wi-Fi信号強度
* リンク速度

ネットワークRTTは、VM にのみコレクターがインストールされている場合でも利用可能ですが、ネットワークの完全なパフォーマンス情報を得るには、クライアントデバイスにコレクターまたはVDI クライアント エクステンションをインストールする必要があります。 インストールを検証するために、セッションに対してネットワークメトリクスが報告されていることを確認します。

VDI クライアント エクステンションがインストールされている場合、追加のデバイスデータは取得されないため、クライアントデバイス用のデバイスビューは利用できません。 この場合、クライアント関連のパフォーマンス情報は、VDI セッション内でのみ報告されます。

これを確認するには、以下のクエリを実行してください：

{% code lineNumbers="true" %}

```sql
vdi_sessions
| with session.vdi_events during past 168h
| compute average_network_rtt = network_rtt.avg(), average_wifi_signal_strength = client.network.wifi_signal_strength.avg(), average_link_speed = client.network.wired_link_speed.avg(), average_client_cpu_usage = client.cpu.normalized_usage.avg(), last_client_plugin_version = client.plugin_version.last()
| list vdi_session.name, device.name, user.name, name, last_client.device.name, last_client_plugin_version, average_network_rtt, average_wifi_signal_strength, average_link_speed, average_client_cpu_usage
| sort last_seen desc
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nexthink.com/platform/ja/configuring_nexthink/bringing-data-into-your-nexthink-instance/deploying-nexthink-in-vdi-environment/vdi-platform-specific-deployment-scenarios/microsoft-windows-365.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
